/**	This header define GLOBAL VARIABLES
 	valid for the main program and shader script
*/

#define X 0
#define Y 1
#define Z 2
#define W 3
#define vmtkSAGITTAL 0
#define vmtkCORONAL 1
#define vmtkAXIAL 2
#define VOLUME3D 3
#define TRANSFERCANVAS 4
#define CONTROLMENU 5
#define INT_FORMAT_BITS 255
#define TAG000 0 // channel R: no markup, just show the RAW voxel   / channel G: depth 0
#define TAG001 1 // channel R: transparent                          / channel G: depth 1
#define TAG002 2 // channel R: painted                              / channel G: depth 2
#define TAG003 3 // channel R: point of reference                   / channel G: depth 3
#define TAG004 4 // channel R: point of interest                    / channel G: depth 4
#define TAG005 5 // channel R: lines                                / channel G: depth 5
#define TAG006 6 // channel R: eraser                               / channel G: depth 6
// ...
//#define TAG253 253 //                  / depth 253
//#define TAG254 254 //                  / depth 254
//#define TAG255 255 //                  / depth 255
#define MARKUP X //for control volume usage
#define DEPTH Y //for control volume usage

//float struct to be sent as matrix
struct GLSLFloatParams {
	float stepSize;
	float left;
	float right;
	float bottom;
	float top;
	float near;
	float far;
	//float cursorPosition[3];
	float cursorPosition[3];
	float depth_slicing;
	float noise_threshold;
};

//int struct to be sent as matrix
struct GLSLIntParams {
	int drawPlaneSide1[3];
	int drawPlaneSide2[3];
	int clippingPlaneSide1[3];
	int clippingPlaneSide2[3];
	int draw3DCrosshair;
};
